{literal}
<script type="text/javascript">
	$(document).ready(function() {
	    $("body").tooltip({ selector: '[data-toggle=tooltip]' });
	});
</script>
{/literal}
<form name="email" method="POST">

	<a href="addonmodules.php?module={$admin.module}&action=email&method=logs.email" class="btn btn-xs btn-default" style="margin-bottom:10px;">Cron Logs</a>

	<div class="alert alert-warning text-center">
		<div class="input-group">
			<span class="input-group-addon" id="cronPhp">Create the following Cron Job using PHP</span>
			<input type="text" id="cronPhp" value="php -q {$absPath}/modules/addons/ovh_api/cron.php >/dev/null 2&>1" class="form-control" onfocus="this.select()" onmouseup="return false;">
		</div>
	</div>

	<div class="panel panel-default">
		<div class="panel-body">
			<h3>Language <span class="glyphicon glyphicon-question-sign" aria-hidden="true" data-toggle="tooltip" data-placement="top" title="Don't see your language? Add it to modules/addons/ovh_api/ languages/email folder"></span></h3>
			<p>Select from the list the language you get emails from OVH in. This way our program can properly read them to send to clients.<br/></p>
			{html_options name=language options=$emailLanguages selected=$emailLanguage class="form-control"}
		</div>
	</div>
	
	<div class="panel panel-default">
		<div class="panel-body">
			<h3>Email Configuration</h3>
			<p>For the email service to work you must supply a <strong>valid admin username</strong>.</p>
	    <div class="col-sm-6" style="padding-left:0;">
	      <input type="text" class="form-control" name="username" value="{$emailUsername}">
	    </div>
		</div>
	</div>
	
	<div class="panel panel-default">
		<div class="panel-body">
			<h3>Email Templates</h3>
			<p>These templates get sent to your clients.</p>
			<p>
				<a href="addonmodules.php?module={$admin.module}&action=email&method=template.email&id=dedicated_installation">Dedicated Installation</a><br>
				<a href="addonmodules.php?module={$admin.module}&action=email&method=template.email&id=dedicated_installation_error">Dedicated Installation Error</a><br>
				<a href="addonmodules.php?module={$admin.module}&action=email&method=template.email&id=dedicated_pwd_reset">Dedicated Password Reset</a><br>
				<a href="addonmodules.php?module={$admin.module}&action=email&method=template.email&id=dedicated_reboot">Dedicated Reboot</a><br>
				<a href="addonmodules.php?module={$admin.module}&action=email&method=template.email&id=rescue_mode_dedicated">Dedicated Rescue Mode</a><br>
				<a href="addonmodules.php?module={$admin.module}&action=email&method=template.email&id=vps_installation">VPS Installation</a><br>
				<a href="addonmodules.php?module={$admin.module}&action=email&method=template.email&id=rescue_mode_vps">VPS Rescue Mode</a><br>
				<a href="addonmodules.php?module={$admin.module}&action=email&method=template.email&id=ip_dedicated_attack">IP Attack Detected</a><br>
				<a href="addonmodules.php?module={$admin.module}&action=email&method=template.email&id=ip_dedicated_endattack">IP End of Attack</a><br>
				<a href="addonmodules.php?module={$admin.module}&action=email&method=template.email&id=ip_spam_detected">IP Spam Detected</a><br>
			</p>
		</div>
	</div>

	<input type="hidden" name="s" value="email">
	<button type="submit" class="btn btn-primary">Save Changes</button>
</form>