<!-- Required for MRTG -->
<script src="../modules/servers/ovh_api/resources/js/highcharts.js"></script>
<!-- Table -->
<style>
.bsHeader {
	background: #337AB7;
	color: #FFF;
	text-align: right;
	border: 0 !important;
	font-weight: normal;
}
.bsTable {
  border-collapse: collapse;
  border-radius: 3px;
  border-style: hidden;
  box-shadow: 0 0 0 1px #337AB7;
}
</style>
<div class="alert alert-warning" role="alert"> <strong>Preview Mode</strong> For complete functionality <a href="{$systemurl}dologin.php?username={$user}&language=english"><strong>log in as client</strong></a> </div>

{if $isAccount}

	{if $isDedicated}
			<div class="row">
				<div class="col-sm-6">
					<div class="form-group">
						<form method="POST" action="addonmodules.php?module=ovh_api" onsubmit="return confirm('Are you sure?');">
							<button type="submit" class="btn btn-primary">Reboot</button>
							<input type="hidden" name="id" value="{$manage.productid}">
							<input type="hidden" name="s" value="manage.reboot">
							<input type="hidden" name="serviceid" value="{$serviceId}">
						</form>
					</div>
				</div>
			</div>
		<table class="table table-bordered bsTable">
		  <tbody>
		      <tr>
		        <th class="bsHeader">{$translate.PANEL_OperatingSystem}</th>
		          <td>{$client.general->os} <br/><small>{$client.bootDevice->description}</small></td>
		      </tr>
		      <tr>
		        <th class="bsHeader">{$translate.PANEL_IPAddress}</th>
		          <td>{$client.general->ip}</td>
		      </tr>
		      <tr>
		        <th class="bsHeader">{$translate.PANEL_Reverse}</th>
		          <td>{$client.general->reverse}</td>
		      </tr>
					
		      <tr>
		        <th class="bsHeader">{$translate.PANEL_Memory}</th>
		          <td>{$client.serviceInfos->memorySize->value} {$client.serviceInfos->memorySize->unit}</td>
		      </tr>
		      <tr>
		        <th class="bsHeader">{$translate.PANEL_ProcessorArchitecture}</th>
		          <td>{$client.serviceInfos->processorArchitecture}</td>
		      </tr>
		      <tr>
		        <th class="bsHeader">{$translate.PANEL_ProcessorName}</th>
		          <td>{$client.serviceInfos->processorName}</td>
		      </tr>
					
		      <tr>
		        <th class="bsHeader">{$translate.PANEL_Connection}</th>
		          <td>{$client.network->connection->value} {$client.network->connection->unit}</td>
		      </tr>
		      <tr>
		        <th class="bsHeader">{$translate.PANEL_Server2Internet}</th>
		          <td>{$client.network->bandwidth->OvhToInternet->value} {$client.network->bandwidth->OvhToInternet->unit}</td>
		      </tr>
		      <tr>
		        <th class="bsHeader">{$translate.PANEL_Server2Server}</th>
		          <td>{$client.network->bandwidth->OvhToOvh->value} {$client.network->bandwidth->OvhToOvh->unit}</td>
		      </tr>
		      <tr>
		        <th class="bsHeader">{$translate.PANEL_Internet2Server}</th>
		          <td>{$client.network->bandwidth->InternetToOvh->value} {$client.network->bandwidth->InternetToOvh->unit}</td>
		      </tr>

					{if $client.spam.state eq 'spam'}
			      <tr style="list-style: none;">
			        <th class="bsHeader">Spam detected</th>
			          <td>
			          	
									{foreach from=$client.spam.ips item=spam}
										{foreach from=$spam.ips item=ip}
									    <li>
												<form method="post" action="clientarea.php?action=productdetails">
												<input type="hidden" name="id" value="{$serviceid}" />
												<input type="hidden" name="ip" value="{$ip}" />
												<input type="hidden" name="ipBlock" value="{$spam.ipBlock}" />
					  						<input type="hidden" name="modop" value="custom" />
					  						<input type="hidden" name="run_action" value="unblockSpam" />
												<input type="submit" class="btn btn-default pull-right" value="Unblock {$ip}" />
												</form>
											</li>
										{/foreach}
									{/foreach}
									
			          </td>
			      </tr>
					{/if}
					
		  </tbody>
		</table>
	{else}

	<form name="manage" method="POST" action="addonmodules.php?module={$admin.module}">

		<div class="panel panel-default">
		  <div class="panel-body">
			<h3>Manage {$serviceId}</h3>
			
			<small style="text-align:center;">{$client.usage.used} / {$client.usage.max}</small>
			<div class="progress">
				<div class="progress-bar" role="progressbar" aria-valuenow="{$client.usage.percent}" aria-valuemin="0" aria-valuemax="100" style="width:{$client.usage.percent}%">
					{$client.usage.percent|round}%
				</div>
			</div>

			<table class="table table-bordered bsTable">
				<tbody>
					<tr>
					   <th class="bsHeader">{$translate.PANEL_OperatingSystem}</th>
					   <td>{$client.os}</td>
					</tr>
					<tr>
					   <th class="bsHeader">{$translate.PANEL_IPv4Address}</th>
					   <td>{$client.ipv4}</td>
					</tr>
					<tr>
					   <th class="bsHeader">{$translate.PANEL_IPv6Address}</th>
					   <td>{$client.ipv6}</td>
					</tr>
					<tr>
					   <th class="bsHeader">{$translate.PANEL_Reverse}</th>
					   <td>{$client.reverse}</td>
					</tr>
				</tbody>
			</table>
			
			<div class="row">
				<div class="col-sm-6">
					<div class="form-group">

					
						<form method="POST" action="addonmodules.php?module=ovh_api" onsubmit="return confirm('Are you sure?');">
							<button type="submit" class="btn btn-primary">Reboot</button>
							<input type="hidden" name="id" value="{$settings.id}">
							<input type="hidden" name="c" value="{$settings.c}">
							<input type="hidden" name="company" value="{$settings.company}">
							<input type="hidden" name="type" value="{$settings.type}">
							<input type="hidden" name="s" value="manage.reboot">
						</form>


					</div>
				</div>
			</div>
			
			<div class="row">
				<div class="col-sm-6">
					<div class="form-group">
						<select id="mon_type" class="form-control" onchange="chart()">
						  <option value="cpu:max">CPU - Max</option>
						  <option value="cpu:used">CPU - Used</option>
						  <option value="mem:used" selected>RAM - Used</option>
							<option value="mem:max">RAM - Max</option>
							<option value="net:rx">Network</option>
						</select>
					</div>
				</div>
		
				<div class="col-sm-6">
					<div class="form-group">
						<select id="mon_period" class="form-control" onchange="chart()">
						  <option value="today">Today</option>
						  <option value="lastday">The last 24 hours</option>
						  <option value="lastweek">The last 7 days</option>
						  <option value="lastmonth" selected>The last month</option>
						  <option value="lastyear">The last 12 months</option>
						</select>
					</div>
				</div>
			</div>

			<div id="monitoring_container"></div>
			<div id="mrtgRam" style="min-width: 310px; height: 250px; width:550px; margin: 0 auto"></div>
		
		
	{literal}
		<script type="text/javascript">
	$(function () {
	  
					var rChart;
					
	        $('#mrtgRam').highcharts({
					chart: {
						type: 'spline'
					},
					title: {
						text: '{/literal}{$translate.PANEL_Monitoring}{literal}'
					},
					credits: {
					      enabled: false
					},
					subtitle: {
						text: ''
					},
					turboThreshold: 0,
					xAxis: {
						type: 'datetime',
						dateTimeLabelFormats: {
							month: '%e. %b',
							year: '%b'
						},
						title: {
							text: 'Date'
						}
					},
					yAxis: {
						title: {
							text: ''
						},
						min: 0
					},
					tooltip: {
						headerFormat: '<b>{series.name}</b><br>',
						pointFormat: '{point.x:%e. %b}: {point.y:.2f} m'
					},
					series: {/literal}{$charts}{literal}
					});
	        
					rChart = $('#mrtgRam').highcharts();		
	        
					var HttpClient = function() {
					    this.get = function(aUrl, aCallback) {
					        var anHttpRequest = new XMLHttpRequest();
					        anHttpRequest.onreadystatechange = function() { 
					            if (anHttpRequest.readyState == 4 && anHttpRequest.status == 200)
					                aCallback(anHttpRequest.responseText);
					        }
					        anHttpRequest.open( "GET", aUrl, true );            
					        anHttpRequest.send( null );
					    }
					}
	   
					chart = function() {
							aClient = new HttpClient();
							
							aClient.get(encodeURI(window.location.href +"&getChart="+document.getElementById("mon_type").value+"&period="+document.getElementById("mon_period").value), function(response) {
									var data = JSON.parse(response);
									while(rChart.series.length > 0)
									{
									    rChart.series[0].remove(true);
									}
								  rChart.addSeries(data);
									
							});
					}
	        
		});//end script
		</script>
	{/literal}
	{/if}		

{elseif $ovh_err}
 <!-- ovh error -->
			<div class="row">
				<div class="col-sm-12">
				
					<div class="alert alert-danger" role="alert"> <strong>Uh-oh!</strong> Datacenter Announcement.<br>{$ovh_msg} </div>

				</div>
			</div>
{else}
 <!-- not an account -->
			<div class="row">
				<div class="col-sm-12">
				
					<div class="alert alert-danger" role="alert"> <strong>Uh-oh!</strong> Account Missing.<br>{$clientmissing_txt} </div>

				</div>
			</div>
{/if}
		<a href="clientsservices.php?userid={$manage.userid}&id={$manage.productid}" class="btn btn-default">Go Back</a>
		</div>
	</div>

</form>