{if $activated}	

  	{if isset($statmsg.content)}
  	<div class="alert alert-{$statmsg.type} alert-dismissible fade in" role="alert">
  	      <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span></button>
  	      <h4>{$statmsg.header}</h4>
  	      <p>{$statmsg.content}</p>
  	</div>
  	{/if}
	
	<p>{$translate.IPMI_DESCRIPTION}</p>

	<table class="table">
		<tr>
			<th>{$translate.IPMI_METHOD}</th>
			<th>{$translate.IPMI_STATUS}</th> 
			<th></th>
		</tr>
		
		<!-- JAVA APPLET -->
		<tr>	
			<td>{$translate.IPMI_JavaApp}</td>
			<td id="status">{if $session.status}Enabled{else}Disabled{/if}</td> 
			<td>
				<form id="request" method="post" action="clientarea.php?action=productdetails">
					<input type="hidden" name="id" value="{$serviceid}" />
					<input type="hidden" name="modop" value="custom" />
					<input type="hidden" name="ipv4" id="ipv4" value="" />
					<input type="hidden" name="run_action" value="requestAccess" />
					<input type="hidden" name="a" value="dedi_kvm" />
					<button
						type="submit" 
						class="btn btn-default">
						<img id="loader" src="./modules/servers/ovh_api/resources/images/loading.gif" style="width:20px;margin-right:8px;display:none;">
						{$translate.IPMI_REQUEST}
					</button>
				</form>
				
				<form id="launch" method="post" action="clientarea.php?action=productdetails">
					<input type="hidden" name="id" value="{$serviceid}" />
					<input type="hidden" name="modop" value="custom" />
					<input type="hidden" name="run_action" value="launchSession" />
					<input type="hidden" name="a" value="dedi_kvm" />
					<button
						type="submit" 
						class="btn btn-primary">
						{$translate.IPMI_LAUNCH}
					</button>
				</form>
				
				
			</td>
		</tr>
		
	</table>



	{if isset($generatingSession.type)}
		{literal}
			<script type="text/javascript">

					(function getTasks_manager() {
						if (window.location.search.indexOf('id=') > -1) {
						    query = '&taskid={/literal}{$generatingSession.taskId}{literal}&get_manager=tasks';
						} else {
						    query = '&id={/literal}{$serviceid}&taskid={$generatingSession.taskId}{literal}&get_manager=tasks';
						}
					  $.get('', query,function(data) {
						    console.log(data);
						  	
							if(data == false || data == 'false'){
								document.getElementById('status').innerHTML = 'Enabled';
								document.getElementById('request').style.display = 'none';
								document.getElementById('launch').style.display = '';
								return;
							}else{
								document.getElementById('loader').style.display = '';
								setTimeout(getTasks_manager, 9000);
							}

					  });
					})();
				
			</script>
		{/literal}	
	{/if}
	
	{literal}
		<script type="text/javascript">
			
			
			if (/^(([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])$|^(([a-zA-Z]|[a-zA-Z][a-zA-Z0-9\-]*[a-zA-Z0-9])\.)*([A-Za-z]|[A-Za-z][A-Za-z0-9\-]*[A-Za-z0-9])$|^\s*((([0-9A-Fa-f]{1,4}:){7}([0-9A-Fa-f]{1,4}|:))|(([0-9A-Fa-f]{1,4}:){6}(:[0-9A-Fa-f]{1,4}|((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3})|:))|(([0-9A-Fa-f]{1,4}:){5}(((:[0-9A-Fa-f]{1,4}){1,2})|:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3})|:))|(([0-9A-Fa-f]{1,4}:){4}(((:[0-9A-Fa-f]{1,4}){1,3})|((:[0-9A-Fa-f]{1,4})?:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|(([0-9A-Fa-f]{1,4}:){3}(((:[0-9A-Fa-f]{1,4}){1,4})|((:[0-9A-Fa-f]{1,4}){0,2}:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|(([0-9A-Fa-f]{1,4}:){2}(((:[0-9A-Fa-f]{1,4}){1,5})|((:[0-9A-Fa-f]{1,4}){0,3}:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|(([0-9A-Fa-f]{1,4}:){1}(((:[0-9A-Fa-f]{1,4}){1,6})|((:[0-9A-Fa-f]{1,4}){0,4}:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|(:(((:[0-9A-Fa-f]{1,4}){1,7})|((:[0-9A-Fa-f]{1,4}){0,5}:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:)))(%.+)?\s*$/.test('{/literal}{$clientIP}{literal}')) {

				console.log('IPv6 Address detected. Reaching out to client for IPv4 Address....');
					
				$.get( "https://ipv4get.bstack.net", function( data ) {
				  	document.getElementById("ipv4").value = data;
					console.log('Client responds with ' + data);
				});
				
				
			} else {
			    document.getElementById("ipv4").value = '{/literal}{$clientIP}{literal}';
			}
			

			
			
			if({/literal}{if $session.status}true{else}false{/if}{literal}){
				document.getElementById('request').style.display = 'none';
			}else{
				document.getElementById('launch').style.display = 'none';
			}
			
			function nWin() {
			  var w = window.open();
			  var html = $("#toNewWindow").html();

			    $(w.document.body).html(html);
			}



		</script>
	{/literal}
	


	<div id="toNewWindow" style="display:none;">
	   {$session.value}
	</div>



	<div class="row">
		
		<form method="post" action="clientarea.php?action=productdetails">
		<input type="hidden" name="id" value="{$serviceid}" />
		<input type="hidden" name="modop" value="custom" />
		<input type="hidden" name="run_action" value="reboot" />
		<input type="hidden" name="a" value="dedi_kvm" />
		<input type="submit" class="btn btn-default pull-left" value="{$translate.IPMI_REBOOT}" />
		</form>
		
		<form method="post" action="clientarea.php?action=productdetails">
		<input type="hidden" name="id" value="{$serviceid}" />
		<input type="submit" class="btn btn-default pull-right" value="{$translate.GENERAL_GoBack}" />
		</form>
	</div>
{else}
	{$translate.IPMI_NOACCESS}
{/if}