
<div class="row">
	<div class="col-lg-7">
		<form name="page1" method="POST">

			<div class="panel panel-default">
			  <div class="panel-body">
				<h3>Server Settings</h3>
				<p>Select the server group you would like to deploy the manager.</p>
				<p><strong>Master Server Group:</strong><br />
					{html_options name=server options=$servers selected=$masterServer class="form-control"}
				</p>
			  </div>
			</div>
			
			<div class="panel panel-default">
			  <div class="panel-body">
				<h3>VPS Settings</h3>
				<p>These settings are specific to <strong>Virtual Private Servers</strong> where you can opt to not include certain reinstall templates.</p>
				<textarea name="vpsreinstalls" rows="2" cols="45">{$vpsReinstall}</textarea>
				<p>Hide and deny installation of the above list. Use keywords and seperate them with a comma!</p>
			  </div>
			</div>

			<div class="panel panel-default">
			  <div class="panel-body">
				<h3>Dedicated Settings</h3>
				<p>These settings are specific to <strong>Dedicated Servers</strong> where you can opt to not include certain reinstall templates.</p>
				<textarea name="dedicatedreinstalls" rows="2" cols="45">{$dedicatedReinstall}</textarea>
				<p>Hide and deny installation of the above list. Use keywords and seperate them with a comma!</p>
			  </div>
			</div>

			<input type="hidden" name="s" value="general">
			<button type="submit" class="btn btn-primary">Save Changes</button>
		</form>
	</div>
	<div class="col-lg-5">
		<div class="panel panel-default">
		  <div class="panel-body">
			<h3>Announcements</h3>

			
				{foreach from=$newsfeed item=news}
				<div class="well">
					<strong>{$news->item->title.0}</strong> <span class="badge" style="float:right;">{$news->item->created_at.0|date_format}</span>
					<p>{$news->item->content.0}</p>

					{if $news->item->view_link.0}<a href="{$news->item->view_link.0}" class="btn btn-xs btn-warning" target="_blank">View More</a>{/if}
					{if $news->item->order_link.0}<a href="{$news->item->order_link.0}" class="btn btn-xs btn-primary" target="_blank">Order Now</a>{/if}
				</div>
				{/foreach}			

		  </div>
		</div>
	</div>
</div>