{literal}
<script type="text/javascript">
	$(document).ready(function() {
	    $("body").tooltip({ selector: '[data-toggle=tooltip]' });
	});
</script>
{/literal}
<div class="panel panel-default">
  <div class="panel-body">
	<h3>System Diagnostics</h3>
	<p>Before opening a support ticket please ensure everything below is reporting 'OK' and reference the knowledge base.<br>Likely your issue has already been solved.</p>
	<p>
		<table class="table">
		<tbody>
		  <tr>
				<td>CURL</td>
				<td>{($system.curl)?'OK':'FAILED'}</td>
		  </tr>
		  <tr>
				<td>PHP 5.6 or greater</td>
				<td>{($system.php)?'OK':'FAILED'}</td>
		  </tr>
		  <tr>
		  <tr>
				<td>Memory Limit <span class="glyphicon glyphicon-question-sign" aria-hidden="true" data-toggle="tooltip" data-placement="top" title="Your server has {$system.memory}"></span></td>
				<td>{($system.memory > 10)?'OK':'FAILED'}</td>
		  </tr>
				<td>License Server</td>
				<td>{($system.license)?'OK':'FAILED'}</td>
		  </tr>
		</tbody>
		</table>
	</p>
  </div>
</div>

<div class="panel panel-default">
  <div class="panel-body">
	<h3>Debug Mode</h3>
	<p>When enabled go to Utilities > Logs > Module Logs to see detailed output.</p>
	<form name="system" method="POST">
		<div class="form-group">
			<select class="form-control" name="debug">
			  <option value="true" {if $system.debug eq 'true'}selected{/if}>Enabled</option>
			  <option value="false" {if $system.debug eq 'false'}selected{/if}>Disabled</option>
			</select>
		</div>
		<input type="hidden" name="s" value="system">
		<button type="submit" class="btn btn-primary">Save Changes</button>
	</form>
  </div>
</div>