{if $disabled}
<div class="alert alert-warning fade in" role="alert">
      {$translate.BACKUP_ALERT}
</div>
{else}
	{if $statmsg}
		<div class="alert alert-{$statmsg.type}" role="alert"> <strong>{$statmsg.header}</strong> {$statmsg.content} </div>
	{/if}
	<div class="panel panel-default">
	  <div class="panel-heading">
	    <h3 class="panel-title">{$translate.BACKUP_FTPNFS}</h3>
	  </div>
	  <div class="panel-body">
	  			
			Usage: {if $backup->usage->numeric > 0}{$backup->usage->numeric}{else}0{/if} {$backup->quota->unit} / {$backup->quota->value} {$backup->quota->unit}
			
			<div class="progress">
				<div class="progress-bar" role="progressbar" aria-valuenow="{$backup->usage->value}" aria-valuemin="0" aria-valuemax="100" style="width:{$backup->usage->value}%">
					{$backup->usage->value|round}%
				</div>
			</div>

			<table class="table table-bordered">
				<thead>
					<th>IP</th>
					<th>CIFS</th>
					<th>FTP</th>
					<th>NFS</th>
					<th>Status</th>
					<th colspan="2"></th>
				</thead>
				{foreach item=block from=$ipBlocks}
			    <tr>
				    <td>{$block->ipBlock}</td>	
					<td><span class="glyphicon glyphicon-{if $block->cifs}ok{else}remove{/if}"></span></td>
					<td><span class="glyphicon glyphicon-{if $block->ftp}ok{else}remove{/if}"></span></td>
					<td><span class="glyphicon glyphicon-{if $block->nfs}ok{else}remove{/if}"></span></td>
					<td><span class="label label-{if $block->isApplied}success{else}danger{/if}">
						{if $block->isApplied}Enabled{else}Disabled{/if}
					</span></td>
					<td>
				  		<form method="post" action="clientarea.php?action=productdetails">
					  		<input type="hidden" name="id" value="{$serviceid}" />
					  		<input type="hidden" name="modop" value="custom" />
							<input type="hidden" name="ipBlock" value="{$block->ipBlock}" />
							
							<input type="hidden" name="cifs" value="{$block->cifs}" />
							<input type="hidden" name="ftp" value="{$block->ftp}" />
							<input type="hidden" name="nfs" value="{$block->nfs}" />
							
					  		<input type="hidden" name="run_action" value="backup_modify" />
							<input type="hidden" name="a" value="dedi_backups" />
							<button type="submit" class="btn btn-default"><span class="glyphicon glyphicon-pencil"></span></button>
				  		</form>
					</td>
					<td>
				  		<form method="post" action="clientarea.php?action=productdetails">
					  		<input type="hidden" name="id" value="{$serviceid}" />
					  		<input type="hidden" name="modop" value="custom" />
							<input type="hidden" name="ipBlock" value="{$block->ipBlock}" />
					  		<input type="hidden" name="run_action" value="backup_deleteBlock" />
							<input type="hidden" name="a" value="dedi_backups" />
							<button type="submit" class="btn btn-default"><span class="glyphicon glyphicon-trash"></span></button>
				  		</form>
					</td>
			    </tr>
				{/foreach}
			</table>
	  
	  
  		<form method="post" action="clientarea.php?action=productdetails">
	  		<input type="hidden" name="id" value="{$serviceid}" />
	  		<input type="hidden" name="modop" value="custom" />
	  		<input type="hidden" name="run_action" value="backup_reset" />
			<input type="hidden" name="a" value="dedi_backups" />
	  		<input type="submit" class="btn btn-default pull-left" value="{$translate.BACKUP_PassReset}" />
  		</form>
		
  		<form method="post" action="clientarea.php?action=productdetails">
	  		<input type="hidden" name="id" value="{$serviceid}" />
	  		<input type="hidden" name="modop" value="custom" />
	  		<input type="hidden" name="run_action" value="backup_delete" />
			<input type="hidden" name="a" value="dedi_backups" />
	  		<input type="submit" class="btn btn-default pull-left" value="{$translate.BACKUP_DeleteALL}" />
  		</form>
		
  		<form method="post" action="clientarea.php?action=productdetails">
	  		<input type="hidden" name="id" value="{$serviceid}" />
	  		<input type="hidden" name="modop" value="custom" />
	  		<input type="hidden" name="run_action" value="backup_add" />
			<input type="hidden" name="a" value="dedi_backups" />
	  		<input type="submit" class="btn btn-default pull-left" value="{$translate.BACKUP_AccessADD}" />
  		</form>
			


			<form method="post" action="clientarea.php?action=productdetails">
			<input type="hidden" name="id" value="{$serviceid}" />
			<input type="submit" class="btn btn-default pull-right" value="{$translate.GENERAL_GoBack}" />
			</form>
	
	
	  </div>
	</div>
{/if}